<div class="mr-8 mb-4">
    <h3 class="italic text-gray-500 text-xs dark-mode:text-gray-600 mb-1">PHP extensions</h3>
    <div class="flex rounded dark-mode:bg-gray-800 border border-gray-200 border-2 dark-mode:border-gray-700 w-1/2">
        <table>
            <thead class="text-gray-500 text-sm border-gray-200 border-b dark-mode:border-gray-700">
                <tr class="table w-full table-fixed">
                    <td class="px-4 py-2">Name</td>
                    <td class="px-4 py-2">Version</td>
                </tr>
            </thead>
            <tbody class="block h-64 overflow-y-scroll overflow-x-hidden">
                @foreach ($extensions as $extension)
                    <tr class="table w-full table-fixed">
                        <td class="py-2 px-4">{{ $extension->name }}</td>
                        <td class="py-2 px-4 font-bold">{{ $extension->version }}</td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
