@if (session()->has('success'))
    <div class="bg-green-500 text-white py-4 px-6 flex items-center justify-between" id="message">
        <div class="flex items-center">
            <svg width="20" height="20" viewBox="0 0 35 35" class="fill-current mr-4">
                <use href="#check"></use>
            </svg>
            {{ session('success') }}
        </div>
        <div>
            <button id="message-close">
                <svg width="15" height="15" viewBox="0 0 35 35" class="text-green-300 hover:text-green-100 fill-current">
                    <use href="#cross"></use>
                </svg>
            </button>
        </div>
    </div>
@endif

@if (session()->has('error'))
    <div class="bg-red-500 text-white py-4 px-6 flex items-center justify-between" id="message">
        <div class="flex items-center">
            <svg width="20" height="20" viewBox="0 0 35 35" class="fill-current mr-4">
                <use href="#cross"></use>
            </svg>
            {{ session('error') }}
        </div>
        <div>
            <button id="message-close">
                <svg width="15" height="15" viewBox="0 0 35 35" class="text-red-300 hover:text-red-100 fill-current">
                    <use href="#cross"></use>
                </svg>
            </button>
        </div>
    </div>
@endif

<script>
    (function () {
        const button = document.getElementById('message-close')
        button.addEventListener('click', function (event) {
            document.getElementById('message').classList.add('hidden')
        })
    })()
</script>
