<?php

namespace Drp\Peek\Http\Controllers\Opcache;

use Illuminate\Http\RedirectResponse;
use Illuminate\Routing\Controller;

class Delete extends Controller
{
    private function calculateResponseMessage(bool $result): RedirectResponse
    {
        if ($result === false) {
            return redirect()->back()->withError('Failed to reset OPCache. Is it enabled on this server?');
        }

        return redirect()->back()->withSuccess('Successfully reset OPCache!');
    }

    public function __invoke(): RedirectResponse
    {
        return $this->calculateResponseMessage(opcache_reset());
    }
}
