<?php

namespace Drp\Peek\Http\Controllers\PublicAccess;

use GuzzleHttp\Client;
use GuzzleHttp\Exception\GuzzleException;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;

class Index extends Controller
{
    /** @var \GuzzleHttp\Client */
    private $client;

    public function __construct(Client $client)
    {
        $this->client = $client;
    }

    public function __invoke(): Response
    {
        try {
            $this->client->get(url(''));
        } catch (GuzzleException $exception) {
            return response('', Response::HTTP_UNAUTHORIZED);
        }

        return response('', Response::HTTP_OK);
    }
}
