<?php

namespace Drp\Peek\Http\Middleware;

use Drp\Peek\Facade\Peek;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class Authorize
{
    /** @return mixed */
    public function handle(Request $request, callable $next)
    {
        if (Peek::isDisabled()) {
            abort(Response::HTTP_FORBIDDEN);
        }

        return $next($request);
    }
}
