<?php

namespace Drp\Peek\Facade;

use Illuminate\Support\Facades\Facade;

/**
 * @see \Drp\Peek\Peek
 * @method static \Drp\Peek\Environment\Environment environment()
 * @method static void gate(callable $callback)
 * @method static void enableForAll()
 * @method static bool isDisabled()
 * @method static writeCommandToStream(string $command, array $request, resource $stream)
 * @method static bool shouldMenuItemHighlight(string $url)
 */
class Peek extends Facade
{
    /**
     * Get the registered name of the component.
     */
    protected static function getFacadeAccessor(): string
    {
        return 'peek';
    }
}
